pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 > Class Template Reference
Module visualization

Surface normal handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >:

## Public Types

typedef PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloud | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandlerSurfaceNormal< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandlerSurfaceNormal< PointCloud > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
typedef pcl::PCLPointCloud2 | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandler< PointCloud > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandler< PointCloud > > | ConstPtr

## Public Member Functions

| PointCloudGeometryHandlerSurfaceNormal (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual std::string | getName () const
| Class getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >

Surface normal handler class for PointCloud geometry.

Given an input dataset, all data present in fields "normal_x", "normal_y", and "normal_z" is extracted and dislayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 435 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr<const PointCloudGeometryHandlerSurfaceNormal<PointCloud> > pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::ConstPtr

Definition at line 443 of file point_cloud_geometry_handlers.h.

## PointCloud

typedef PointCloudGeometryHandler<pcl::PCLPointCloud2>::PointCloud pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloud

Definition at line 438 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

typedef PointCloud::ConstPtr pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudConstPtr

Definition at line 440 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

typedef PointCloud::Ptr pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudPtr

Definition at line 439 of file point_cloud_geometry_handlers.h.

## Ptr

typedef boost::shared_ptr<PointCloudGeometryHandlerSurfaceNormal<PointCloud> > pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::Ptr

Definition at line 442 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerSurfaceNormal()

pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::PointCloudGeometryHandlerSurfaceNormal | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 454 of file point_cloud_geometry_handlers.h.

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >.

Definition at line 450 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_geometry_handlers.h